package pkg

import (
	"cicv-data-closedloop/aarch64/pjibot_guide/common/config"
	"encoding/json"
	"fmt"
	"log"
	"time"
)

func GetLocalStatus(status *string, turnLength int) {
	// 轮询本地任务状态
	for {
		time.Sleep(time.Duration(turnLength) * time.Second)
		_, msg, err := config.WsConn.ReadMessage()
		if err != nil {
			log.Println("Error in receive:", err)
			break
		}
		log.Printf("Received: %s\n", msg)

		// 将响应字节解码为JSON
		var statusMessage config.StatusMessage
		err = json.Unmarshal(msg, &statusMessage)
		if err != nil {
			log.Println("Error in receive:", err)
			break
		}
		if statusMessage.Type == "push" && statusMessage.Topic == "robotStatus" {
			fmt.Println("statusMessage:", statusMessage)
			data := statusMessage.Data.(map[string]interface{})
			fmt.Println("statusMessage.Data", data)
			fmt.Println("statusMessage.Data[\"taskStatus\"]", data["taskStatus"])
			*status = data["taskStatus"].(string)
		}
	}
}
